import request from '@/utils/request'

// 查询安全分级列表
export function listClassified(query) {
  return request({
    url: '/laboratory/classified/list',
    method: 'get',
    params: query
  })
}


// 查询安全分级所有列表(不带分页)
export function listClassifiedAll(query) {
  return request({
    url: '/laboratory/classified/listAll',
    method: 'get',
    params: query
  })
}

// 查询安全分级详细
export function getClassified(id) {
  return request({
    url: '/laboratory/classified/' + id,
    method: 'get'
  })
}

// 新增安全分级
export function addClassified(data) {
  return request({
    url: '/laboratory/classified',
    method: 'post',
    data: data
  })
}

// 修改安全分级
export function updateClassified(data) {
  return request({
    url: '/laboratory/classified',
    method: 'put',
    data: data
  })
}

// 删除安全分级
export function delClassified(id) {
  return request({
    url: '/laboratory/classified/' + id,
    method: 'delete'
  })
}
